import static com.kms.katalon.core.checkpoint.CheckpointFactory.findCheckpoint
import static com.kms.katalon.core.testcase.TestCaseFactory.findTestCase
import static com.kms.katalon.core.testdata.TestDataFactory.findTestData
import static com.kms.katalon.core.testobject.ObjectRepository.findTestObject
import static com.kms.katalon.core.testobject.ObjectRepository.findWindowsObject
import com.kms.katalon.core.checkpoint.Checkpoint as Checkpoint
import com.kms.katalon.core.cucumber.keyword.CucumberBuiltinKeywords as CucumberKW
import com.kms.katalon.core.mobile.keyword.MobileBuiltInKeywords as Mobile
import com.kms.katalon.core.model.FailureHandling as FailureHandling
import com.kms.katalon.core.testcase.TestCase as TestCase
import com.kms.katalon.core.testdata.TestData as TestData
import com.kms.katalon.core.testobject.TestObject as TestObject
import com.kms.katalon.core.webservice.keyword.WSBuiltInKeywords as WS
import com.kms.katalon.core.webui.keyword.WebUiBuiltInKeywords as WebUI
import com.kms.katalon.core.windows.keyword.WindowsBuiltinKeywords as Windows
import com.kms.katalon.core.webui.driver.DriverFactory as DriverFactory
import org.openqa.selenium.WebDriver as WebDriver
import internal.GlobalVariable as GlobalVariable
import org.openqa.selenium.By
import org.openqa.selenium.support.ui.Select
import com.kms.katalon.core.webui.driver.DriverFactory
WebUI.openBrowser('')
WebUI.navigateToUrl('http://inter04.tse.jus.br/ords/eletse/f?p=111:1::PESQUISAR:NO:::')
ComboTurno = 'Page_Boletim de Urna na WEB/select_12'
ComboUF = 'Object Repository/Page_Boletim de Urna na WEB/select_UFACALAMAPBACEDFESGOMAMGMSMTPAPBPEPI_a973a7'
ComboMunicipio = 'Object Repository/Page_Boletim de Urna na WEB/select_Selecione um municpio  localidadeACR_454ffd'
ComboZona = 'Object Repository/Page_Boletim de Urna na WEB/select_--0008'
ComboSeção = 'Object Repository/Page_Boletim de Urna na WEB/select_--0008000900640072007700830084008500_2e62b7'
BotãoPesquisar = 'Object Repository/Page_Boletim de Urna na WEB/span_Pesquisar'
//Primeiros valores
WebUI.selectOptionByIndex(findTestObject(ComboTurno), 0)
WebUI.selectOptionByIndex(findTestObject(ComboUF), 1)
WebUI.selectOptionByIndex(findTestObject(ComboMunicipio), 1)
WebUI.selectOptionByIndex(findTestObject(ComboZona), 1)
WebUI.selectOptionByIndex(findTestObject(ComboSeção), 1)
//Primeira pesquisa
WebUI.click(findTestObject(BotãoPesquisar))
WebUI.waitForPageLoad(0)
//alimenta quantidades em cada combo
int QtdTurno =     WebUI.getNumberOfTotalOption(findTestObject(ComboTurno))
println(QtdTurno)
int QtdUF =        WebUI.getNumberOfTotalOption(findTestObject(ComboUF))
println(QtdUF)
int QtdMunicipio = WebUI.getNumberOfTotalOption(findTestObject(ComboMunicipio))
println(QtdMunicipio)
int QtdZona =      WebUI.getNumberOfTotalOption(findTestObject(ComboZona))
println(QtdZona)
int QtdSeção =     WebUI.getNumberOfTotalOption(findTestObject(ComboSeção))
println(QtdSeção)
//Ninho de for para percorrer todas as opções
for (int T = 0; T < (QtdTurno-1); T++){
	WebUI.selectOptionByIndex(findTestObject(ComboTurno), T);	
	
	for (int U = 1; U < (QtdUF-1); U++){
		WebUI.selectOptionByIndex(findTestObject(ComboUF), U);	
			
		for (int M = 1; M < (QtdMunicipio-1); M++) {
			WebUI.selectOptionByIndex(findTestObject(ComboMunicipio), M);
						
			for (int Z = 1; Z < (QtdZona-1); Z++) {
				  WebUI.selectOptionByIndex(findTestObject(ComboZona), Z);	
				  			  
				for (int S = 1; S < (QtdSeção-1); S++) {				 	
					WebUI.selectOptionByIndex(findTestObject(ComboSeção), S)
					WebUI.click(findTestObject(BotãoPesquisar));
					WebUI.waitForPageLoad(0);
   					//Gravando o arquivo a partir do valor selecionado nas combos
					Select selectTurno = new Select(DriverFactory.getWebDriver().findElement(By.xpath("//select[@id='P1_TURNO']")))
					Turno = selectTurno.getFirstSelectedOption().getText()
					Select selectUF = new Select(DriverFactory.getWebDriver().findElement(By.xpath("//select[@id='P1_UF']")))
					UF = selectUF.getFirstSelectedOption().getText()
					Select selectMUN = new Select(DriverFactory.getWebDriver().findElement(By.xpath("//select[@id='P1_MUN']")))
					Municipio = selectMUN.getFirstSelectedOption().getText()
					Select selectZONA = new Select(DriverFactory.getWebDriver().findElement(By.xpath("//select[@id='P1_ZONA']")))
					Zona = selectZONA.getFirstSelectedOption().getText()
					Select selectSECAO = new Select(DriverFactory.getWebDriver().findElement(By.xpath("//select[@id='P1_SECAO']")))
					Seção = selectSECAO.getFirstSelectedOption().getText()
	
					String NomeDoArquivo = ('E:/TSE/2018/TSE2018_'+
						'Turno-'+Turno+
						'_UF-'+UF+
						'_Municipio-'+Municipio+
						'_Zona-'+Zona+
						'_Seção-'+Seção+
						'.html')
					WebDriver driver = DriverFactory.getWebDriver()
					def src = driver.getPageSource()
					def Arquivo = new File(NomeDoArquivo)
					Arquivo.write(src)
				 } 				
			 }   
		}
	}
}			 
//WebUI.closeBrowser()